package com.ecep.contract.model;

import com.ecep.contract.VendorType;
import com.ecep.contract.vo.VendorTypeLocalVo;

import jakarta.persistence.Entity;
import jakarta.persistence.Table;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 供应商类型（多国语言支持）
 */
@Getter
@Setter
@Entity
@Table(name = "VENDOR_TYPE_LOCAL")
@ToString(callSuper = true)
public class VendorTypeLocal extends BaseEnumEntity<VendorType> implements Voable<VendorTypeLocalVo> {

    @Override
    public VendorTypeLocalVo toVo() {
        VendorTypeLocalVo vo = new VendorTypeLocalVo();
        vo.setId(getId());
        vo.setLang(getLang());
        vo.setValue(getValue());
        vo.setType(getType());
        return vo;
    }
}
